<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\KurstageArbeitsbericht;

class KurstageArbeitsberichtPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  public function present()
  {
    $this->printKurstageArbeitsberichtPDF();

    return;
  }

  private function printKurstageArbeitsberichtPDF()
  {
    $this->useCaseResponse->kurstageArbeitsbericht->create(-1, true);
  }

  public function setRequestHeader()
  {
  }

  public function getEncoding()
  {
    return UTF_8;
  }

  public function getExternalEncoding()
  {
    return $this->getEncoding();
  }

  protected function getView()
  {
    return null; 
  }

  protected function getViewModel()
  {
    return null; 
  }
}